This issue tracker has been migrated to GitHub, and is currently read-only.
For more information, see the GitHub FAQs in the Python's Developer Guide.

classification
Title: Contributing to Documentation. Translation to Russian.
Type: enhancement Stage: resolved
Components: Documentation Versions: Python 2.7
process
Status: closed Resolution: third party
Dependencies: Superseder:
Assigned To: docs@python Nosy List: Sebastian A. Brachi, brett.cannon, cheryl.sabella, docs@python, georg.brandl, overr1de, terry.reedy, willingc
Priority: normal Keywords:

Created on 2015-09-01 12:04 by overr1de, last changed 2022-04-11 14:58 by admin. This issue is now closed.

Messages (6)
msg249478 - (view) Author: Eugene (overr1de) Date: 2015-09-01 12:04
I am very much begging pardon if this is not the place to ask for, but..

I would like to make a thorough translation of the official Library Reference and the beginners guide to Python 2.x 3.x in Russian language.

I am aware this type of translation will be placed at
https://wiki.python.org/moin/RussianLanguage
as current https://docs.python.org/2/ does not allow changing language.

I am pretty much aware the translation should not sound any differently from the original in terms of its style, form and overall attitude. And I would also like to know, if possible, can this link be promoted somewhere at python.org. I am not in the slightest have the intentions of promoting in anywhere but in the place where most russian programmers could most definitely find it - at the oficial Python website.

Kind regards, Evgeniy.
msg249496 - (view) Author: Brett Cannon (brett.cannon) * (Python committer) Date: 2015-09-01 17:29
Is it time we start managing translations somehow? Or at least have a link off of docs.python.org to various translations so they are easier to discover?
msg249497 - (view) Author: Georg Brandl (georg.brandl) * (Python committer) Date: 2015-09-01 17:30
Someone will have to step up to manage this effort. The technical side is pretty much solved with sphinx-i18n.

I think this is something the PSF should sponsor. (I wrote a proposal to the board a while ago, but I couldn't find a candidate to do it.)
msg252678 - (view) Author: Sebastian A. Brachi (Sebastian A. Brachi) Date: 2015-10-10 02:21
> I wrote a proposal to the board a while ago
I couldn't find that proposal, could you post a link to it? Thanks!
msg314752 - (view) Author: Cheryl Sabella (cheryl.sabella) * (Python committer) Date: 2018-04-01 00:21
Adding a reference to PEP 545 for contributing documentation translations.
msg319774 - (view) Author: Terry J. Reedy (terry.reedy) * (Python committer) Date: 2018-06-16 18:36
There are now several official translations: see current doc pages, the bottom of https://devguide.python.org/experts/, and https://www.python.org/dev/peps/pep-0545/.  According to the pep, discussion is on doc-sig.  https://mail.python.org/mailman/listinfo/doc-sig

'third party' is not quite right, but there is no 'separate repository and issues tracker' selection.

Carol, perhaps devguide 7. Documenting Python should have a short new section 7.6 Translations with at least the above info, better formatted.
History
Date User Action Args
2022-04-11 14:58:20adminsetgithub: 69166
2018-06-16 18:36:51terry.reedysetstatus: open -> closed

title: Contributing to Python 2x and 3x Documentation. Translation to Russian. -> Contributing to Documentation. Translation to Russian.
nosy: + terry.reedy, willingc

messages: + msg319774
resolution: third party
stage: resolved
2018-04-01 00:21:48cheryl.sabellasetnosy: + cheryl.sabella
messages: + msg314752
2015-10-10 02:21:45Sebastian A. Brachisetnosy: + Sebastian A. Brachi
messages: + msg252678
2015-09-01 17:30:55georg.brandlsetnosy: + georg.brandl
messages: + msg249497
2015-09-01 17:29:16brett.cannonsetnosy: + brett.cannon
messages: + msg249496
2015-09-01 12:04:07overr1decreate